uuid: 01b63f1b-ceee-4937-9e04-1361f4683509
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_complete_nar_organic_groups
class: Drupal\node\Plugin\migrate\D7NodeTranslation
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Node complete (Subsite)'
source:
  plugin: d7_node_complete
  node_type: nar_organic_groups
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: timestamp
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  content_translation_source:
    -
      plugin: get
      source: source_langcode
  comment_node_nar_organic_groups/0/status:
    -
      plugin: get
      source: comment
  body:
    -
      plugin: get
      source: body
  group_group:
    -
      plugin: get
      source: group_group
  field_about:
    -
      plugin: sub_process
      source: field_about
      process:
        target_id: tid
  field_for:
    -
      plugin: sub_process
      source: field_for
      process:
        target_id: tid
  field_above_paragraph:
    -
      plugin: get
      source: field_above_paragraph
  field_below_paragraph:
    -
      plugin: get
      source: field_below_paragraph
  field_sitearea:
    -
      plugin: sub_process
      source: field_sitearea
      process:
        target_id: tid
  field_title_deck:
    -
      plugin: get
      source: field_title_deck
  field_featured_image:
    -
      plugin: get
      source: field_featured_image
  field_image_for_social:
    -
      plugin: get
      source: field_image_for_social
  field_show_latest_box:
    -
      plugin: get
      source: field_show_latest_box
  field_override_bottom_strip:
    -
      plugin: get
      source: field_override_bottom_strip
  field_sub_head:
    -
      plugin: get
      source: field_sub_head
  field_short_summary:
    -
      plugin: get
      source: field_short_summary
  field_rss_link:
    -
      plugin: field_link
      source: field_rss_link
  field_collections_terms:
    -
      plugin: sub_process
      source: field_collections_terms
      process:
        target_id: tid
  field_search_promote:
    -
      plugin: sub_process
      source: field_search_promote
      process:
        target_id: tid
  field_designation_or_certificati:
    -
      plugin: sub_process
      source: field_designation_or_certificati
      process:
        target_id: tid
  field_exclude_from_boxes:
    -
      plugin: get
      source: field_exclude_from_boxes
  field_boxes2:
    -
      plugin: get
      source: field_boxes2
  field_button_link:
    -
      plugin: field_link
      source: field_button_link
  field_production_notes:
    -
      plugin: get
      source: field_production_notes
  field_view_permissions:
    -
      plugin: get
      source: field_view_permissions
  field_enable_comments_on_content:
    -
      plugin: get
      source: field_enable_comments_on_content
  field_header_background_image:
    -
      plugin: get
      source: field_header_background_image
  field_hide_group_c_navigation:
    -
      plugin: get
      source: field_hide_group_c_navigation
  field_listing_header:
    -
      plugin: get
      source: field_listing_header
  field_theme:
    -
      plugin: get
      source: field_theme
  field_enable_authors_on_content:
    -
      plugin: get
      source: field_enable_authors_on_content
  field_disqus_shortname:
    -
      plugin: get
      source: field_disqus_shortname
  field_department:
    -
      plugin: sub_process
      source: field_department
      process:
        target_id: tid
  field_editor_term:
    -
      plugin: sub_process
      source: field_editor_term
      process:
        target_id: tid
  field_exclude_from_boxes2:
    -
      plugin: get
      source: field_exclude_from_boxes2
  field_exclude_from_boxes3:
    -
      plugin: get
      source: field_exclude_from_boxes3
  field_exclude_from_ext_search:
    -
      plugin: get
      source: field_exclude_from_ext_search
  field_footer_logo:
    -
      plugin: get
      source: field_footer_logo
  field_footer_menu:
    -
      plugin: get
      source: field_footer_menu
  field_grouping_vocabulary:
    -
      plugin: get
      source: field_grouping_vocabulary
  field_grouping_vocabulary_label:
    -
      plugin: get
      source: field_grouping_vocabulary_label
  field_head_code:
    -
      plugin: get
      source: field_head_code
  field_header_background_color2:
    -
      plugin: sub_process
      source: field_header_background_color2
      process:
        color: rgb
  field_header_background_image_m:
    -
      plugin: get
      source: field_header_background_image_m
  field_header_hide_background_grd:
    -
      plugin: get
      source: field_header_hide_background_grd
  field_header_logo:
    -
      plugin: get
      source: field_header_logo
  field_header_logo_mobile:
    -
      plugin: get
      source: field_header_logo_mobile
  field_header_menu:
    -
      plugin: get
      source: field_header_menu
  field_header_title_color2:
    -
      plugin: sub_process
      source: field_header_title_color2
      process:
        color: rgb
  field_hero_ad_javascript_snippet:
    -
      plugin: get
      source: field_hero_ad_javascript_snippet
  field_hide_global_ad:
    -
      plugin: get
      source: field_hide_global_ad
  field_hide_global_navigation:
    -
      plugin: get
      source: field_hide_global_navigation
  field_hide_group_content_list:
    -
      plugin: get
      source: field_hide_group_content_list
  field_hide_share_widget:
    -
      plugin: get
      source: field_hide_share_widget
  field_main_navigation:
    -
      plugin: get
      source: field_main_navigation
  field_move_subscribe_to_header:
    -
      plugin: get
      source: field_move_subscribe_to_header
  field_sidebar_boxes_type:
    -
      plugin: get
      source: field_sidebar_boxes_type
  field_sidebar_subsitewide:
    -
      plugin: get
      source: field_sidebar_subsitewide
  field_slideshow_logo:
    -
      plugin: get
      source: field_slideshow_logo
  field_social_links:
    -
      plugin: get
      source: field_social_links
  field_subsite_background_color2:
    -
      plugin: sub_process
      source: field_subsite_background_color2
      process:
        color: rgb
  og_vocabulary:
    -
      plugin: get
      source: og_vocabulary
  field_footer_right_menu:
    -
      plugin: get
      source: field_footer_right_menu
  field_hide_global_videos_section:
    -
      plugin: get
      source: field_hide_global_videos_section
  field_global_videos_section:
    -
      plugin: get
      source: field_global_videos_section
  field_hide_branded_header:
    -
      plugin: get
      source: field_hide_branded_header
  field_featured_video_node:
    -
      plugin: get
      source: field_featured_video_node
  field_use_old_black_footer:
    -
      plugin: get
      source: field_use_old_black_footer
  field_subsite_access_denied_page:
    -
      plugin: get
      source: field_subsite_access_denied_page
  field_subsite_not_found_page:
    -
      plugin: get
      source: field_subsite_not_found_page
  field_metatag:
    -
      plugin: d7_metatag_entities
      source: pseudo_metatag_entities
destination:
  plugin: 'entity_complete:node'
  translations: true
  default_bundle: nar_organic_groups
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_comment_field_instance
    - upgrade_d7_metatag_field
    - upgrade_d7_metatag_field_instance
